<template>
    <section class="page-search">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <!-- Advance Search -->
                <div class="advance-search">
                    <form v-on:submit.prevent="onSubmit">
                        <div class="form-row">
                            <div class="form-group col-md-6 offset-md-4">
                                <input type="text" class="form-control my-2 my-lg-0" id="inputtext4" placeholder="What are you looking for"
                                        v-model="textsearch"
                                        v-on:keyup.enter="Search()">
                            </div>
                            
                            <div class="form-group col-md-2">                                
                                <button type="button" class="btn btn-primary" @click="Search()">Search</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </section>
</template>

<script>
export default {
    name: 'Search',

    data() {
        return {
            textsearch: ''
        }
    },
    methods: {
        Search(){
				window.location.href = '/search/'+ this.textsearch;
			}
    },
}
</script>